Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.monitor
Interface DeployAdmin

All Known Subinterfaces:
  ProvisionMonitorAdmin

    public interface DeployAdmin

DeployAdmin interface defines methods to deploy, undeploy, redeploy, query and optionally remove pending deployment and redeployment requests

Method Summary
`Map<String,Throwable>` | `deploy(OAR oar, ServiceProvisionListener listener)` Deploy an OperationalString Archive (OAR) installed in a directory accessible by the ProvisionMonitor.
`Map<String,Throwable>` | `deploy(OperationalString opstring)` Deploy an OperationalString to the ProvisionMonitor.
`Map<String,Throwable>` | `deploy(OperationalString opstring, ServiceProvisionListener listener)` Deploy an OperationalString to the ProvisionMonitor.
`Map<String,Throwable>` | `deploy(URL opStringUrl)` Deploy an OperationalString URL to the ProvisionMonitor.
`Map<String,Throwable>` | `deploy(URL opStringUrl, ServiceProvisionListener listener)` Deploy an OperationalString URL to the ProvisionMonitor.
`OperationalStringManager` | `getOperationalStringManager(String name)` Retrieve the managing OperationalStringManager for an OperationalString
`OperationalStringManager[]` | `getOperationalStringManagers()` This will retrieve an array of OperationalStringManager instances that are managing deployed OperationalString instances.
`boolean` | `hasDeployed(String opStringName)` Determine if this ProvisionMonitor has deployed the OperationalString as determined by the name
`boolean` | `undeploy(String name)` Undeploy an OperationalString deployed by the ProvisionMonitor.

Method Detail

### deploy

    Map<String,Throwable> deploy(URL opStringUrl)
                                 throws OperationalStringException,
                                        RemoteException

  Deploy an OperationalString URL to the ProvisionMonitor. The ProvisionMonitor will load the location and deploy the OperationalString If the OperationalString includes nested OperationalStrings, the nested OperationalStrings will be deployed as well. If nested OperationalString items are already deployed, they will not be re-deployed. If the OperationalString specified by the input URL has already been deployed, or is scheduled for deployment, then no part of that OperationalString (or nested OperationalString instances) will be deployed

  Parameters:
    `opStringUrl` - The URL indicating the location of the OperationalString to deploy
  Returns:
    If there are errors loading part of the OperationalString the Map will be returned with name value pairs associating the service and corresponding exceptions
  Throws:
    `OperationalStringException` - If the OperationalString parsing errors occur
    `RemoteException` - If communication errors happen

### deploy

    Map<String,Throwable> deploy(URL opStringUrl,
                                 ServiceProvisionListener listener)
                                 throws OperationalStringException,
                                        RemoteException

  Deploy an OperationalString URL to the ProvisionMonitor. The ProvisionMonitor will load the location and deploy the OperationalString If the OperationalString includes nested OperationalStrings, the nested OperationalStrings will be deployed as well. If nested OperationalString items are already deployed, they will not be re-deployed. If the OperationalString specified by the input URL has already been deployed, or is scheduled for deployment, then no part of that OperationalString (or nested OperationalString instances) will be deployed

  Parameters:
    `opStringUrl` - The URL indicating the location of the OperationalString to deploy
    `listener` - If not null, the ServiceProvisionListener will be notified as each service is deployed
  Returns:
    If there are errors loading part of the OperationalString the Map will be returned with name value pairs associating the service and corresponding exceptions
  Throws:
    `OperationalStringException` - If OperationalString parsing errors occur
    `RemoteException` - If communication errors happen

### deploy

    Map<String,Throwable> deploy(OAR oar,
                                 ServiceProvisionListener listener)
                                 throws OperationalStringException,
                                        RemoteException

  Deploy an OperationalString Archive (OAR) installed in a directory accessible by the ProvisionMonitor. The directory is required to have been created as a result of an OAR installation). The ProvisionMonitor will use `OAR` to deploy the configured OperationalString If the OperationalString includes nested OperationalStrings, the nested OperationalStrings will be deployed as well. If nested OperationalString items are already deployed, they will not be re-deployed. If the OperationalString specified by the input URL has already been deployed, or is scheduled for deployment, then no part of that OperationalString (or nested OperationalString instances) will be deployed

  Parameters:
    `oar` - The OAR to deploy
    `listener` - If not null, the ServiceProvisionListener will be notified as each service is deployed
  Returns:
    If there are errors loading part of the OperationalString the Map will be returned with name value pairs associating the service and corresponding exceptions
  Throws:
    `OperationalStringException` - If OperationalString parsing errors occur
    `RemoteException` - If communication errors happen

### deploy

    Map<String,Throwable> deploy(OperationalString opstring)
                                 throws OperationalStringException,
                                        RemoteException

  Deploy an OperationalString to the ProvisionMonitor. The ProvisionMonitor will deploy the contents specified by the OperationalString object f the OperationalString includes nested OperationalStrings, the nested OperationalStrings will be deployed as well. If nested OperationalString items are already deployed, they will not be re-deployed. If the OperationalString specified by the input URL has already been deployed, or is scheduled for deployment, then no part of that OperationalString (or nested OperationalString instances) will be deployed

  Parameters:
    `opstring` - The OperationalString to deploy
  Returns:
    If there are errors loading part of the OperationalString the Map will be returned with name value pairs associating the service and corresponding exceptions
  Throws:
    `OperationalStringException` - If the OperationalString parsing errors occur
    `RemoteException` - If communication errors happen

### deploy

    Map<String,Throwable> deploy(OperationalString opstring,
                                 ServiceProvisionListener listener)
                                 throws OperationalStringException,
                                        RemoteException

  Deploy an OperationalString to the ProvisionMonitor. The ProvisionMonitor will deploy the contents specified by the OperationalString object f the OperationalString includes nested OperationalStrings, the nested OperationalStrings will be deployed as well. If nested OperationalString items are already deployed, they will not be re-deployed. If the OperationalString specified by the input URL has already been deployed, or is scheduled for deployment, then no part of that OperationalString (or nested OperationalString instances) will be deployed

  Parameters:
    `opstring` - The OperationalString to deploy
    `listener` - If not null, the ServiceProvisionListener will be notified as each service is deployed
  Returns:
    If there are errors loading part of the OperationalString the Map will be returned with name value pairs associating the service and corresponding exceptions
  Throws:
    `OperationalStringException` - if the the entire deployment fails
    `RemoteException` - If communication errors happen

### undeploy

    boolean undeploy(String name)
                     throws OperationalStringException,
                            RemoteException

  Undeploy an OperationalString deployed by the ProvisionMonitor. The ProvisionMonitor will search as follows:
  1. First for the OperationalString by it's name, and if found, remove the OperationalString and any nested OperationalStrings that are included by the OperatinalString.
  2. If the name is not found, the ProvisionMonitor will search for the matching OAR, by looking at directory names under the configured `installDir` property. If a matching directory name is found, the corresponding OAR file will be loaded, loading the configured OperationalString, and undeploying as indicated in step 1.
  As a result of undeploying the OperationalString(s), all services that have a provision type of `ServiceElement.DYNAMIC` or `ServiceElement.FIXED` will be terminated. If any deployment request or redeployment requests are pending for the OperationalString(s) being undeployed, these requests will be cancelled

  Parameters:
    `name` - The name of the OperationalString or directory to undeploy
  Returns:
    Returns true if the OperationalString has been undeployed
  Throws:
    `OperationalStringException` - If the OperationalString does not exist
    `RemoteException` - If communication errors occur

### hasDeployed

    boolean hasDeployed(String opStringName)
                        throws RemoteException

  Determine if this ProvisionMonitor has deployed the OperationalString as determined by the name

  Parameters:
    `opStringName` - The name of the OperationalString
  Returns:
    If found return true, otherwise false
  Throws:
    `RemoteException` - If communication errors happen

### getOperationalStringManagers

    OperationalStringManager[] getOperationalStringManagers()
                                                            throws RemoteException

  This will retrieve an array of OperationalStringManager instances that are managing deployed OperationalString instances. If an OperationalString includes nested OperationalStrings, those OperationalStringManager instances that are nested will be returned as part of this array.

  Returns:
    Array of OperationalStringManager instances that are managing deployed OperationalString instances. Only OperationalStringManager instances created on the local ProvisionMonitor will be returned
  Throws:
    `RemoteException` - If communication errors happen

### getOperationalStringManager

    OperationalStringManager getOperationalStringManager(String name)
                                                         throws OperationalStringException,
                                                                RemoteException

  Retrieve the managing OperationalStringManager for an OperationalString

  Parameters:
    `name` - The name of the OperationalString
  Returns:
    The OperationalStringManager instance that is managing a deployed OperationalString. The OperationalStringManager returned may be running in a remote ProvisionMonitor
  Throws:
    `OperationalStringException` - If an OperationalStringManager can not be found to the OperationalString
    `RemoteException` - If communication errors happen

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.